Package org.globus.ftp.dc

# Class TaskThread

java.lang.Object
org.globus.ftp.dc.TaskThread

All Implemented Interfaces:
  `Runnable`

public class TaskThread extends Object implements Runnable

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.globus.ftp.dc.TaskThread.Buffer`
`buffer`
`protected static org.apache.commons.logging.Log`
`logger`
`protected boolean`
`stop`
`protected Thread`
`thread`

## Constructor Summary

Constructors
Constructor
Description
`TaskThread()`

## Method Summary

Modifier and Type
Method
Description
`Task`
`getNextTask()`
`void`
`join()`
`void`
`run()`
`void`
`runTask(Task task)`
`void`
`start()`
`void`
`stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected static org.apache.commons.logging.Log logger

### buffer

protected org.globus.ftp.dc.TaskThread.Buffer buffer

### stop

protected boolean stop

### thread

protected Thread thread

## Constructor Details

### TaskThread

public TaskThread()

## Method Details

### start

public void start()

### runTask

public void runTask(Task task)

### getNextTask

public Task getNextTask()

### run

public void run()

Specified by:
  `run` in interface `Runnable`

### stop

public void stop()

### join

public void join()